From 04dbd87265f6ba4a373b211ba324b437d224fb2d Mon Sep 17 00:00:00 2001
From: John Crispin <blogic@openwrt.org>
Date: Sun, 17 Mar 2013 00:03:31 +0100
Subject: [PATCH 21/38] rt2x00: make wmac loadable via OF on rt288x/305x SoC

This patch ads the match table to allow loading the wmac support from a
devicetree.

Signed-off-by: John Crispin <blogic@openwrt.org>
---
 drivers/net/wireless/ralink/rt2x00/rt2800pci.c |    7 +++++++
 1 file changed, 7 insertions(+)

--- a/drivers/net/wireless/ralink/rt2x00/rt2800soc.c
+++ b/drivers/net/wireless/ralink/rt2x00/rt2800soc.c
@@ -225,10 +225,17 @@ static int rt2800soc_probe(struct platfo
 	return rt2x00soc_probe(pdev, &rt2800soc_ops);
 }
 
+static const struct of_device_id rt2880_wmac_match[] = {
+	{ .compatible = "ralink,rt2880-wmac" },
+	{},
+};
+MODULE_DEVICE_TABLE(of, rt2880_wmac_match);
+
 static struct platform_driver rt2800soc_driver = {
 	.driver		= {
 		.name		= "rt2800_wmac",
 		.mod_name	= KBUILD_MODNAME,
+		.of_match_table	= rt2880_wmac_match,
 	},
 	.probe		= rt2800soc_probe,
 	.remove		= rt2x00soc_remove,
